GET /r/{subreddit}/{sort}.json
Summary: Get posts from a subreddit sorted by criteria
Operation ID: getSubredditSorted
Auth: unknown
Operation ID: getSubredditSorted
Auth: unknown
Description
Retrieves posts from a subreddit sorted by hot, new, top, rising, or controversial.
Parameters (5)
after
(string, query, optional)
Fullname of a post to use as an anchor for pagination
limit
(integer, query, optional, default: 25)
Maximum number of posts to return (1-100)
Constraints: {'minimum': 1, 'maximum': 100}
sort
(string, path, required)
Sorting method for posts
Constraints: {'enum': ['hot', 'new', 'top', 'rising', 'controversial']}
subreddit
(string, path, required)
The name of the subreddit (without the r/ prefix)
t
(string, query, optional)
Time period filter (for top and controversial sorts)
Constraints: {'enum': ['hour', 'day', 'week', 'month', 'year', 'all']}
Examples (2)
| Title | Type | URL | Action |
|---|---|---|---|
| Get posts from a subreddit sorted by criteria | openapi-spec |
https://www.reddit.com/r/technology/top.json?t=week |
|
| Get posts from a subreddit sorted by criteria | probe-gate |
https://www.reddit.com/r/technology/top.json?limit=25&t=week |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:35:58.367276 | 200 | 536ms | |
| 2026-03-23 09:06:04.072138 | 200 | 572ms | |
| 2026-03-20T02:14:57.699798 | 200 | 530ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:06:04.072138 | f8f63726c774 |
e44e6fc136c6 |
| 2026-03-23 09:35:58.367276 | e44e6fc136c6 |
9796936ec330 |